Bug 804902 - Unclear Error message when trying to launch an instance if its provider account deleted
Unclear Error message when trying to launch an instance if its provider accou...
Status: NEW
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 01:57 EDT by Aziza Karol
Modified: 2014-01-05 13:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (220.27 KB, image/png)
2012-03-20 01:58 EDT, Aziza Karol
no flags Details
CF 1.1 application error launch. (127.90 KB, image/png)
2013-01-08 11:51 EST, Brett Thurber
no flags Details

  None (edit)
Description Aziza Karol 2012-03-20 01:57:29 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
configured ec2,rhevm,vsphere,mock and launched instances.
then i deleted the mock provider account and tried launching the mock instances.

  
Actual results:
err message displayed:

mockus-east-1: Cloud Resource Cluster cluster_mock is not mapped to any cloud resource provider or provider clusterus-west-1: Cloud Resource Cluster cluster_mock is not mapped to any cloud resource provider or provider clusteraziza_rhevm: Cloud Resource Cluster cluster_mock is not mapped to any cloud resource provider or provider clusteraziza_vsphere: Cloud Resource Cluster cluster_mock is not mapped to any cloud resource provider or provider cluster

see attached screenshot.

Expected results:
It will be good if we display error  message related to that provider itself.
also this error message needs alignment so that its readable. 


Additional info:
rpm -qa | grep aeolus
aeolus-configure-2.5.0-18.el6.noarch
aeolus-conductor-daemons-0.8.0-43.el6.noarch
aeolus-conductor-0.8.0-43.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.8.0-43.el6.noarch
aeolus-conductor-doc-0.8.0-43.el6.noarch
rubygem-aeolus-cli-0.3.0-14.el6.noarch
Comment 1 Aziza Karol 2012-03-20 01:58:25 EDT
Created attachment 571292 [details]
err
Comment 5 Brett Thurber 2013-01-08 11:50:52 EST
This is also an issue with CF 1.1.  Attached screen cap of error message received when trying to laucnh an application that requires a config server to be configured for the provider however was not.  I have also verified this is an issue for non-post boot application launches when the provider chosen has an incorrect configuration such as incorrect provider account credentials or URL.
Comment 6 Brett Thurber 2013-01-08 11:51:36 EST
Created attachment 674967 [details]
CF 1.1 application error launch.

Note You need to log in before you can comment on or make changes to this bug.